
Figure - Bug #113987
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】连续在recent小窗模式中打开两个不同应用的小窗，进recent，点击第一次打开
应用的进程卡片，该应用短暂全屏后会闪退回主界面 
2022-11-16 15:10 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-16

Priority: High Due date: 2023-01-06

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212300319

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: Task被finish掉了,所以应用无法启动

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、进入recent

2、在小窗应用里选一个进入小窗模式

3、通过上划手势进入recent

4、在小窗应用里另一个应用进入小窗模式

5、通过上划手势进入recent

6、点击第一次打开的应用的功能卡片

【预期结果】

6、第一次打开的应用全屏显示，第二次打开的应用以小窗形式悬挂在屏幕左侧

【实际结果】

6、点击第一次打开应用的进程卡片，该应用短暂全屏后会闪退回主界面，第二次打开的应用以小窗形式悬挂在屏幕左侧

History

#1 - 2022-11-16 17:07 - CDTS_TEST 王成

- Severity changed from Normal to Major

#2 - 2022-12-08 11:35 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-12-20 10:09 - DL FW-郝健

- Assignee changed from DL FW-郝健 to DL FW-张挽强

#4 - 2022-12-26 10:08 - CD TPM-王祥林

- Category changed from 窗口定制 to CD-FW

- Assignee changed from DL FW-张挽强 to CD FW 曹覃刚

覃刚
大连同事下周撤出项目，小窗的问题后面会交接到成都。bug会陆续接手，安排人看起来。

#5 - 2022-12-26 10:48 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#6 - 2022-12-26 15:51 - CDTS-TEST 周婷

- Due date set to 2023-01-06

- Target version changed from VX1_MCE_FSE_V5.0_20221230 to VX1_MCE_FSE_C sample_20230113

#7 - 2022-12-28 15:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172562 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: app will be finished when exit freeformdon't finish app when window mode isn't FREEFORMTC-RID: 1201-0204601IssueID:

TS-R-BUG-113987Change-Id: Ia8b5c18ea70975ad1ed6786fd64c88eafaca849f

#8 - 2022-12-29 10:19 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Root cause set to Task被finish掉了,所以应用无法启动

■ Current conclusion

问题已经解决了

■ My analysis

在Recent里面打开应用时,会先finish掉之前的Task的,造成应用无法启动

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/172562

#9 - 2022-12-30 10:36 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212300319

12.30

验证通过

#10 - 2022-12-30 10:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
Files

Phone-STS40X190114 2022-11-16 15-09-42.mp4 18.1 MB 2022-11-16 CD TEST-方永红

logcat.txt 834 KB 2022-11-16 CD TEST-方永红
